<!-- NEC: MPIPROGINF="DETAIL" -->
<patterns>
    <parm name="real_time"    unit="s"      mode="line,last" type="float">Real\s*Time\s*\(sec\)\s*:\s*$patfp</parm>
    <parm name="user_time"    unit="s"      mode="line,last" type="float">User\s*Time\s*\(sec\)\s*:\s*$patfp</parm>
    <parm name="system_time"  unit="s"      mode="line,last" type="float">System\s*Time\s*\(sec\)\s*:\s*$patfp</parm>
    <parm name="vector_time"  unit="s"      mode="line,last" type="float">Vector\s*Time\s*\(sec\)\s*:\s*$patfp</parm>
    <parm name="mem_size"     unit="GB"     mode="line,add" type="float">Memory size used \(GB\)\s*:\s*$patfp</parm>
    <parm name="flops"        unit="GFlops" mode="line,last" type="float">GFLOPS \(rel\. to User Time\)\s*:\s*$patfp</parm>
    <parm name="imiss_time"   unit="s"      mode="line,last" type="float">Instruction\s*Cache miss\s*\(sec\)\s*:\s*[^\s]* \[[^,]*,[^\]]*\]\s*$patfp \[</parm>
    <parm name="omiss_time"   unit="s"      mode="line,last" type="float">Operand\s*Cache miss\s*\(sec\)\s*:\s*[^\s]* \[[^,]*,[^\]]*\]\s*$patfp \[</parm>
    <parm name="bc_time"      unit="s"      mode="line,last" type="float">Bank\s*Conflict Time\s*\(sec\)\s*:\s*[^\s]* \[[^,]*,[^\]]*\]\s*$patfp \[</parm>
    <parm name="veclen"       unit=""      mode="line,last" type="float">Average Vector Length\s*:\s*[^\s]* \[[^,]*,[^\]]*\]\s*[^\s]* \[[^,]*,[^\]]*\]\s*$patfp</parm>
    <parm name="vecratio"     unit="%"      mode="line,last" type="float">Vector Operation Ratio \(%\)\s*:\s*[^\s]* \[[^,]*,[^\]]*\]\s*[^\s]* \[[^,]*,[^\]]*\]\s*$patfp</parm>
</patterns>
